import 'dart:ui';

import 'package:example/main.dart';
import 'package:flutter/material.dart';
import 'package:flutter_hooks/flutter_hooks.dart';

import 'package:get/get.dart';
import 'package:get_hooks/get_hooks.dart';

import 'home_controller.dart';

class HomeView extends GetView<HomeController> {
  const HomeView({Key? key}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      floatingActionButton: FloatingActionButton(
        onPressed: controller.onButtonPressed,
        child: const Icon(Icons.add),
        // label: const Text('Increment'),
      ),
      appBar: AppBar(
        title: const Text('HomeView'),
        centerTitle: true,
        bottom: const _TabBarWidget(),
      ),
      body: DefaultTextStyle(
        textAlign: TextAlign.center,
        style: const TextStyle(fontSize: 40, fontFeatures: [
          FontFeature.tabularFigures(),
        ]),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.stretch,
          mainAxisAlignment: MainAxisAlignment.spaceEvenly,
          children: [
            Obx(() => Text(controller.counter.toString())),
            const SpinningWidget(),
            const AnimatedHookWidget(),
          ],
        ),
      ),
    );
  }
}

class _TabBarWidget extends GetHookView<HomeController>
    with PreferredSizeWidget {
  const _TabBarWidget();

  @override
  Widget build(context) {
    controller.tabController = useTabController(initialLength: 3);

    return TabBar(
      controller: controller.tabController,
      tabs: const [
        Tab(child: Text('Tab 1')),
        Tab(child: Text('Tab 2')),
        Tab(child: Text('Tab 3')),
      ],
    );
  }

  @override
  Size get preferredSize => const Size.fromHeight(50);
}
